--- a/lib/locale/it_IT.php
+++ b/lib/locale/it_IT.php
@@ -1,69 +1,444 @@
 <?php
+
 $LANG['about.community'] = 'Questo è <b>Kolab Server</b> in Versione Comunitaria.';
+$LANG['about.kolab'] = '';
+$LANG['about.kolabsys'] = '';
 $LANG['about.support'] = 'È disponibile il supporto professionale di <a href="http://kolabsys.com">Kolab Systems</a>.';
+$LANG['about.technology'] = '';
+$LANG['about.warranty'] = '';
+
+$LANG['aci.new'] = '';
+$LANG['aci.edit'] = '';
+$LANG['aci.remove'] = 'Elimina';
+$LANG['aci.users'] = 'Utenti';
+$LANG['aci.rights'] = '';
+$LANG['aci.targets'] = '';
+$LANG['aci.aciname'] = '';
+$LANG['aci.hosts'] = '';
+$LANG['aci.times'] = '';
+$LANG['aci.name'] = 'Nome';
+$LANG['aci.userid'] = '';
+$LANG['aci.email'] = '';
+$LANG['aci.read'] = '';
+$LANG['aci.compare'] = '';
+$LANG['aci.search'] = '';
+$LANG['aci.write'] = 'Scrittura';
+$LANG['aci.selfwrite'] = '';
+$LANG['aci.delete'] = 'Elimina';
+$LANG['aci.add'] = '';
+$LANG['aci.proxy'] = '';
+$LANG['aci.all'] = '';
+$LANG['aci.allow'] = '';
+$LANG['aci.deny'] = '';
+$LANG['aci.typeusers'] = 'Utenti';
+$LANG['aci.typegroups'] = 'Gruppi';
+$LANG['aci.typeroles'] = '';
+$LANG['aci.typeadmins'] = '';
+$LANG['aci.typespecials'] = '';
+$LANG['aci.ldap-self'] = '';
+$LANG['aci.ldap-anyone'] = '';
+$LANG['aci.ldap-all'] = '';
+$LANG['aci.ldap-parent'] = '';
+$LANG['aci.usersearch'] = '';
+$LANG['aci.usersearchresult'] = '';
+$LANG['aci.userselected'] = '';
+$LANG['aci.useradd'] = '';
+$LANG['aci.userremove'] = 'Elimina';
+$LANG['aci.error.noname'] = '';
+$LANG['aci.error.exists'] = '';
+$LANG['aci.error.nousers'] = '';
+$LANG['aci.rights.target'] = '';
+$LANG['aci.rights.filter'] = '';
+$LANG['aci.rights.attrs'] = '';
+$LANG['aci.checkall'] = '';
+$LANG['aci.checknone'] = '';
+$LANG['aci.thisentry'] = '';
+$LANG['aci.selected'] = '';
+$LANG['aci.other'] = '';
+
+$LANG['acl.all'] = '';
+$LANG['acl.append'] = '';
+$LANG['acl.custom'] = '';
+$LANG['acl.full'] = '';
+$LANG['acl.post'] = '';
+$LANG['acl.read'] = '';
+$LANG['acl.read-only'] = '';
+$LANG['acl.read-write'] = '';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = '';
+$LANG['acl.l'] = '';
+$LANG['acl.r'] = '';
+$LANG['acl.s'] = '';
+$LANG['acl.w'] = '';
+$LANG['acl.i'] = '';
+$LANG['acl.p'] = '';
+$LANG['acl.c'] = '';
+$LANG['acl.k'] = '';
+$LANG['acl.d'] = '';
+$LANG['acl.t'] = '';
+$LANG['acl.e'] = '';
+$LANG['acl.x'] = 'Elimina cartella';
+$LANG['acl.a'] = '';
+$LANG['acl.n'] = '';
+$LANG['acl.identifier'] = '';
+$LANG['acl.rights'] = '';
+$LANG['acl.expire'] = '';
+$LANG['acl.user'] = '';
+$LANG['acl.anyone'] = '';
+$LANG['acl.anonymous'] = '';
+$LANG['acl.error.invaliddate'] = '';
+$LANG['acl.error.norights'] = '';
+$LANG['acl.error.subjectexists'] = '';
+$LANG['acl.error.nouser'] = '';
+
+$LANG['add'] = '';
+
+$LANG['api.notypeid'] = '';
+$LANG['api.invalidtypeid'] = '';
+
+$LANG['attribute.add'] = '';
+$LANG['attribute.default'] = '';
+$LANG['attribute.static'] = '';
+$LANG['attribute.name'] = '';
 $LANG['attribute.optional'] = 'Facoltativo';
+$LANG['attribute.maxcount'] = '';
+$LANG['attribute.readonly'] = 'Sola lettura';
+$LANG['attribute.type'] = '';
+$LANG['attribute.value'] = 'Valore';
+$LANG['attribute.value.auto'] = '';
+$LANG['attribute.value.auto-readonly'] = '';
+$LANG['attribute.value.normal'] = '';
+$LANG['attribute.value.static'] = '';
+$LANG['attribute.options'] = '';
+$LANG['attribute.key.invalid'] = '';
+$LANG['attribute.required.error'] = '';
+$LANG['attribute.validate'] = '';
+$LANG['attribute.validate.default'] = '';
+$LANG['attribute.validate.none'] = '';
+$LANG['attribute.validate.basic'] = '';
+$LANG['attribute.validate.extended'] = '';
+
 $LANG['button.cancel'] = 'Annulla';
+$LANG['button.delete'] = 'Elimina';
+$LANG['button.ok'] = '';
 $LANG['button.save'] = 'Salva';
+$LANG['button.submit'] = '';
+
 $LANG['creatorsname'] = 'Creato da';
 $LANG['days'] = 'giorni';
 $LANG['debug'] = 'Informazioni di debug';
+$LANG['delete'] = 'Elimina';
 $LANG['deleting'] = 'Eliminazione dati...';
+
 $LANG['domain.add'] = 'Aggiungi Dominio';
 $LANG['domain.add.success'] = 'Dominio creato con successo.';
 $LANG['domain.associateddomain'] = 'Nome/i dominio';
+$LANG['domain.delete.confirm'] = '';
+$LANG['domain.delete.force'] = "";
+$LANG['domain.delete.success'] = '';
 $LANG['domain.edit'] = 'Modifica dominio';
 $LANG['domain.edit.success'] = 'Dominio aggiornato con successo.';
+$LANG['domain.inetdomainbasedn'] = '';
+$LANG['domain.inetdomainstatus'] = 'Stato';
 $LANG['domain.list'] = 'Lista Domini';
+$LANG['domain.norecords'] = '';
+$LANG['domain.o'] = '';
 $LANG['domain.other'] = 'Altro';
 $LANG['domain.system'] = 'Sistema';
 $LANG['domain.type_id'] = 'Dominio Standard';
+
 $LANG['edit'] = 'Modifica';
 $LANG['error'] = 'Errore';
+
+$LANG['error.401'] = '';
+$LANG['error.403'] = '';
+$LANG['error.404'] = '';
+$LANG['error.408'] = '';
+$LANG['error.450'] = '';
+$LANG['error.500'] = '';
+$LANG['error.503'] = '';
+
 $LANG['form.required.empty'] = 'Alcuni dei campi richiesti sono vuoti!';
+$LANG['form.maxcount.exceeded'] = '';
+
 $LANG['group.add'] = 'Aggiungi Gruppo';
 $LANG['group.add.success'] = 'Gruppo creato con successo.';
 $LANG['group.cn'] = 'Nome comune';
+$LANG['group.delete.confirm'] = '';
 $LANG['group.delete.success'] = 'Gruppo eliminato con successo.';
 $LANG['group.edit.success'] = 'Gruppo aggiornato con successo.';
+$LANG['group.gidnumber'] = '';
+$LANG['group.kolaballowsmtprecipient'] = '';
+$LANG['group.kolaballowsmtpsender'] = '';
 $LANG['group.list'] = 'Lista Gruppi';
 $LANG['group.mail'] = 'Indirizzo Email Principale';
 $LANG['group.member'] = 'Membro/i';
+$LANG['group.memberurl'] = '';
+$LANG['group.norecords'] = '';
 $LANG['group.other'] = 'Altro';
+$LANG['group.ou'] = '';
 $LANG['group.system'] = 'Sistema';
 $LANG['group.type_id'] = 'Tipo di gruppo';
 $LANG['group.uniquemember'] = 'Membri';
+
+$LANG['info'] = '';
+$LANG['internalerror'] = '';
+
+$LANG['ldap.one'] = '';
+$LANG['ldap.sub'] = '';
+$LANG['ldap.base'] = '';
+$LANG['ldap.basedn'] = '';
+$LANG['ldap.host'] = '';
+$LANG['ldap.conditions'] = '';
+$LANG['ldap.scope'] = '';
+$LANG['ldap.filter_any'] = '';
+$LANG['ldap.filter_both'] = '';
+$LANG['ldap.filter_prefix'] = '';
+$LANG['ldap.filter_suffix'] = '';
+$LANG['ldap.filter_exact'] = '';
+
+$LANG['list.records'] = '';
+
 $LANG['loading'] = 'Caricamento...';
+$LANG['logout'] = '';
 $LANG['login.username'] = 'Nome Utente:';
 $LANG['login.password'] = 'Password:';
 $LANG['login.domain'] = 'Dominio:';
 $LANG['login.login'] = 'Accedi';
 $LANG['loginerror'] = 'Nome utente o password errati!';
 $LANG['MB'] = 'MB';
+
+$LANG['menu.about'] = '';
 $LANG['menu.domains'] = 'Domini';
 $LANG['menu.groups'] = 'Gruppi';
+$LANG['menu.ous'] = 'Unità';
 $LANG['menu.resources'] = 'Risorse';
+$LANG['menu.roles'] = '';
 $LANG['menu.settings'] = 'Impostazioni';
+$LANG['menu.sharedfolders'] = '';
 $LANG['menu.users'] = 'Utenti';
+
+$LANG['modifiersname'] = '';
+$LANG['password.generate'] = '';
+$LANG['reqtime'] = '';
+
+$LANG['ou.aci'] = '';
+$LANG['ou.add'] = '';
+$LANG['ou.add.success'] = '';
+$LANG['ou.ou'] = '';
+$LANG['ou.delete.confirm'] = '';
+$LANG['ou.delete.success'] = '';
+$LANG['ou.description'] = '';
+$LANG['ou.edit.success'] = '';
+$LANG['ou.list'] = '';
+$LANG['ou.norecords'] = '';
+$LANG['ou.system'] = 'Dettagli';
+$LANG['ou.type_id'] = '';
+$LANG['ou.base_dn'] = '';
+
+$LANG['resource.acl'] = '';
 $LANG['resource.add'] = 'Aggiungi Risorsa';
 $LANG['resource.add.success'] = 'Risorsa creata con successo.';
 $LANG['resource.cn'] = 'Nome';
 $LANG['resource.delete'] = 'Elimina Risorsa';
+$LANG['resource.delete.confirm'] = '';
 $LANG['resource.delete.success'] = 'Risorsa eliminata con successo.';
 $LANG['resource.edit'] = 'Modifica Risorsa';
 $LANG['resource.edit.success'] = 'Risorsa aggiornata con successo.';
+$LANG['resource.kolabtargetfolder'] = '';
+$LANG['resource.kolabinvitationpolicy'] = '';
+$LANG['resource.list'] = '';
+$LANG['resource.mail'] = '';
+$LANG['resource.member'] = '';
+$LANG['resource.norecords'] = '';
 $LANG['resource.other'] = 'Altro';
+$LANG['resource.ou'] = '';
 $LANG['resource.system'] = 'Sistema';
+$LANG['resource.type_id'] = '';
+$LANG['resource.uniquemember'] = '';
+$LANG['resource.description'] = 'Descrizione';
+$LANG['resource.owner'] = '';
+
+$LANG['role.add'] = '';
+$LANG['role.add.success'] = '';
+$LANG['role.cn'] = '';
+$LANG['role.delete.confirm'] = '';
+$LANG['role.delete.success'] = '';
+$LANG['role.description'] = '';
+$LANG['role.edit.success'] = '';
+$LANG['role.list'] = '';
+$LANG['role.norecords'] = '';
+$LANG['role.system'] = 'Dettagli';
+$LANG['role.type_id'] = '';
+
 $LANG['saving'] = 'Salvataggio dati...';
+
+$LANG['search'] = '';
+$LANG['search.reset'] = '';
+$LANG['search.criteria'] = '';
+$LANG['search.field'] = '';
+$LANG['search.method'] = '';
+$LANG['search.contains'] = '';
+$LANG['search.is'] = '';
+$LANG['search.key'] = '';
+$LANG['search.prefix'] = '';
+$LANG['search.name'] = 'Nome';
+$LANG['search.email'] = '';
+$LANG['search.description'] = '';
+$LANG['search.uid'] = '';
+$LANG['search.loading'] = '';
+$LANG['search.acchars'] = '';
+
+$LANG['servererror'] = '';
+
+$LANG['session.expired'] = '';
+
+$LANG['sharedfolder.acl'] = '';
+$LANG['sharedfolder.add'] = '';
+$LANG['sharedfolder.add.success'] = '';
+$LANG['sharedfolder.alias'] = '';
+$LANG['sharedfolder.cn'] = '';
+$LANG['sharedfolder.delete.confirm'] = '';
+$LANG['sharedfolder.delete.success'] = '';
+$LANG['sharedfolder.edit'] = '';
+$LANG['sharedfolder.edit.success'] = '';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = '';
+$LANG['sharedfolder.kolaballowsmtpsender'] = '';
+$LANG['sharedfolder.kolabdelegate'] = '';
+$LANG['sharedfolder.kolabtargetfolder'] = '';
+$LANG['sharedfolder.list'] = '';
+$LANG['sharedfolder.norecords'] = '';
+$LANG['sharedfolder.mail'] = '';
+$LANG['sharedfolder.other'] = 'Altro';
+$LANG['sharedfolder.system'] = 'Sistema';
+$LANG['sharedfolder.type_id'] = '';
+
+$LANG['signup.headline'] = '';
+$LANG['signup.intro1'] = '';
+$LANG['signup.intro2'] = '';
+$LANG['signup.formtitle'] = '';
+$LANG['signup.username'] = '';
+$LANG['signup.domain'] = '';
+$LANG['signup.mailalternateaddress'] = '';
+$LANG['signup.futuremail'] = '';
 $LANG['signup.company'] = 'Azienda';
+$LANG['signup.captcha'] = '';
+$LANG['signup.userexists'] = '';
+$LANG['signup.usercreated'] = '';
+$LANG['signup.wronguid'] = '';
+$LANG['signup.wrongmailalternateaddress'] = '';
+$LANG['signup.footer'] = '';
+
+$LANG['type.add'] = '';
+$LANG['type.add.success'] = '';
+$LANG['type.attributes'] = '';
+$LANG['type.description'] = 'Descrizione';
+$LANG['type.delete.confirm'] = '';
+$LANG['type.delete.success'] = '';
+$LANG['type.domain'] = '';
+$LANG['type.edit.success'] = '';
 $LANG['type.group'] = 'Gruppo';
+$LANG['type.list'] = '';
+$LANG['type.key'] = '';
 $LANG['type.name'] = 'Nome';
+$LANG['type.norecords'] = '';
+$LANG['type.objectclass'] = '';
+$LANG['type.object_type'] = '';
+$LANG['type.ou'] = '';
+$LANG['type.properties'] = '';
 $LANG['type.resource'] = 'Risorsa';
 $LANG['type.role'] = 'Ruolo';
+$LANG['type.sharedfolder'] = '';
+$LANG['type.used_for'] = '';
+$LANG['type.user'] = '';
+
+$LANG['user.add'] = '';
+$LANG['user.add.success'] = '';
+$LANG['user.alias'] = '';
+$LANG['user.astaccountallowedcodec'] = '';
+$LANG['user.astaccountcallerid'] = '';
+$LANG['user.astaccountcontext'] = '';
+$LANG['user.astaccountdefaultuser'] = '';
+$LANG['user.astaccountdeny'] = '';
+$LANG['user.astaccounthost'] = '';
+$LANG['user.astaccountmailbox'] = '';
+$LANG['user.astaccountnat'] = '';
+$LANG['user.astaccountname'] = '';
+$LANG['user.astaccountqualify'] = '';
+$LANG['user.astaccountrealmedpassword'] = '';
+$LANG['user.astaccountregistrationexten'] = '';
+$LANG['user.astaccountregistrationcontext'] = '';
+$LANG['user.astaccountsecret'] = '';
+$LANG['user.astaccounttype'] = '';
+$LANG['user.astcontext'] = '';
+$LANG['user.asterisk'] = '';
+$LANG['user.astextension'] = '';
+$LANG['user.astvoicemailpassword'] = '';
+$LANG['user.c'] = '';
+$LANG['user.city'] = '';
 $LANG['user.cn'] = 'Nome comune';
 $LANG['user.config'] = 'Configurazione';
+$LANG['user.contact'] = '';
+$LANG['user.contact_info'] = '';
+$LANG['user.country'] = '';
+$LANG['user.country.desc'] = '';
+$LANG['user.delete.confirm'] = '';
+$LANG['user.delete.success'] = '';
+$LANG['user.displayname'] = '';
+$LANG['user.edit.success'] = '';
+$LANG['user.fax'] = '';
+$LANG['user.fbinterval'] = '';
+$LANG['user.fbinterval.desc'] = '';
+$LANG['user.gidnumber'] = '';
+$LANG['user.givenname'] = '';
+$LANG['user.homedirectory'] = '';
+$LANG['user.homephone'] = '';
 $LANG['user.initials'] = 'Iniziali';
+$LANG['user.invitation-policy'] = '';
+$LANG['user.kolaballowsmtprecipient'] = '';
+$LANG['user.kolaballowsmtpsender'] = '';
+$LANG['user.kolabdelegate'] = 'Delegati';
+$LANG['user.kolabhomeserver'] = '';
+$LANG['user.kolabinvitationpolicy'] = '';
+$LANG['user.l'] = '';
+$LANG['user.list'] = '';
+$LANG['user.loginshell'] = '';
 $LANG['user.mail'] = 'Indirizzo Email Principale';
+$LANG['user.mailalternateaddress'] = '';
+$LANG['user.mailforwardingaddress'] = '';
+$LANG['user.mailhost'] = '';
+$LANG['user.mailquota'] = '';
+$LANG['user.mailquota.desc'] = '';
+$LANG['user.mobile'] = '';
 $LANG['user.name'] = 'Nome';
+$LANG['user.norecords'] = '';
+$LANG['user.nsrole'] = '';
+$LANG['user.nsroledn'] = '';
 $LANG['user.other'] = 'Altro';
+$LANG['user.o'] = '';
+$LANG['user.org'] = '';
+$LANG['user.orgunit'] = '';
+$LANG['user.ou'] = '';
+$LANG['user.pager'] = '';
+$LANG['user.password.mismatch'] = '';
+$LANG['user.personal'] = '';
 $LANG['user.phone'] = 'Numero di telefono';
+$LANG['user.postalcode'] = '';
+$LANG['user.postbox'] = '';
+$LANG['user.postcode'] = '';
+$LANG['user.preferredlanguage'] = '';
+$LANG['user.room'] = '';
+$LANG['user.sn'] = '';
+$LANG['user.street'] = '';
 $LANG['user.system'] = 'Sistema';
+$LANG['user.telephonenumber'] = '';
+$LANG['user.title'] = '';
+$LANG['user.type_id'] = '';
+$LANG['user.uid'] = '';
+$LANG['user.userpassword'] = '';
+$LANG['user.userpassword2'] = '';
+$LANG['user.uidnumber'] = '';
+
+$LANG['welcome'] = '';
+
+$LANG['yes'] = '';
--- a/lib/locale/ja_JP.php
+++ b/lib/locale/ja_JP.php
@@ -1,12 +1,103 @@
 <?php
+
 $LANG['about.community'] = 'これは<b>Kolab Server</b>のコミュニティーエディションです。';
 $LANG['about.kolab'] = 'Kolab';
 $LANG['about.kolabsys'] = 'Kolab Systems';
 $LANG['about.support'] = '有償サポートは<a href="http://kolabsys.com">Kolab Systems</a>にて受付けております。';
 $LANG['about.technology'] = 'Technology';
 $LANG['about.warranty'] = '動作保証は全くなく、ユーザの自己責任により実行されます。 <a href="http://kolab.org">web site</a> & <a href="http://wiki.kolab.org">wiki</a>にてヘルプやコミュニティの情報を得ることができます。';
+
+$LANG['aci.new'] = '';
+$LANG['aci.edit'] = '';
+$LANG['aci.remove'] = '削除';
+$LANG['aci.users'] = 'ユーザ';
+$LANG['aci.rights'] = '';
+$LANG['aci.targets'] = '';
+$LANG['aci.aciname'] = '';
+$LANG['aci.hosts'] = 'ホスト';
+$LANG['aci.times'] = '';
+$LANG['aci.name'] = '名前';
+$LANG['aci.userid'] = 'ユーザ ID';
+$LANG['aci.email'] = '';
+$LANG['aci.read'] = '';
+$LANG['aci.compare'] = '';
+$LANG['aci.search'] = '検索';
+$LANG['aci.write'] = '';
+$LANG['aci.selfwrite'] = '';
+$LANG['aci.delete'] = '削除';
+$LANG['aci.add'] = '追加';
+$LANG['aci.proxy'] = '';
+$LANG['aci.all'] = '';
+$LANG['aci.allow'] = '';
+$LANG['aci.deny'] = '';
+$LANG['aci.typeusers'] = 'ユーザ';
+$LANG['aci.typegroups'] = 'グループ';
+$LANG['aci.typeroles'] = '役割';
+$LANG['aci.typeadmins'] = '';
+$LANG['aci.typespecials'] = '';
+$LANG['aci.ldap-self'] = '';
+$LANG['aci.ldap-anyone'] = '';
+$LANG['aci.ldap-all'] = '';
+$LANG['aci.ldap-parent'] = '';
+$LANG['aci.usersearch'] = '';
+$LANG['aci.usersearchresult'] = '';
+$LANG['aci.userselected'] = '';
+$LANG['aci.useradd'] = '追加';
+$LANG['aci.userremove'] = '削除';
+$LANG['aci.error.noname'] = '';
+$LANG['aci.error.exists'] = '';
+$LANG['aci.error.nousers'] = '';
+$LANG['aci.rights.target'] = '';
+$LANG['aci.rights.filter'] = '';
+$LANG['aci.rights.attrs'] = '';
+$LANG['aci.checkall'] = '';
+$LANG['aci.checknone'] = '';
+$LANG['aci.thisentry'] = '';
+$LANG['aci.selected'] = '';
+$LANG['aci.other'] = '';
+
+$LANG['acl.all'] = '';
+$LANG['acl.append'] = '';
+$LANG['acl.custom'] = '';
+$LANG['acl.full'] = '';
+$LANG['acl.post'] = '';
+$LANG['acl.read'] = '';
+$LANG['acl.read-only'] = '';
+$LANG['acl.read-write'] = '';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = '';
+$LANG['acl.l'] = '';
+$LANG['acl.r'] = '';
+$LANG['acl.s'] = '';
+$LANG['acl.w'] = '';
+$LANG['acl.i'] = '';
+$LANG['acl.p'] = '';
+$LANG['acl.c'] = '';
+$LANG['acl.k'] = '';
+$LANG['acl.d'] = '';
+$LANG['acl.t'] = '';
+$LANG['acl.e'] = '';
+$LANG['acl.x'] = '';
+$LANG['acl.a'] = '';
+$LANG['acl.n'] = '';
+$LANG['acl.identifier'] = '';
+$LANG['acl.rights'] = '';
+$LANG['acl.expire'] = '';
+$LANG['acl.user'] = '';
+$LANG['acl.anyone'] = '';
+$LANG['acl.anonymous'] = '';
+$LANG['acl.error.invaliddate'] = '';
+$LANG['acl.error.norights'] = '';
+$LANG['acl.error.subjectexists'] = '';
+$LANG['acl.error.nouser'] = '';
+
 $LANG['add'] = '追加';
+
+$LANG['api.notypeid'] = '';
+$LANG['api.invalidtypeid'] = '';
+
 $LANG['attribute.add'] = '属性追加';
+$LANG['attribute.default'] = '';
 $LANG['attribute.static'] = '固定値';
 $LANG['attribute.name'] = '属性';
 $LANG['attribute.optional'] = 'オプション';
@@ -21,49 +112,78 @@
 $LANG['attribute.options'] = 'オプション';
 $LANG['attribute.key.invalid'] = 'タイプキーに使用できない文字が含まれています!';
 $LANG['attribute.required.error'] = '属性一覧($1)に要求された属性がありません!';
+$LANG['attribute.validate'] = '';
+$LANG['attribute.validate.default'] = '';
+$LANG['attribute.validate.none'] = '';
+$LANG['attribute.validate.basic'] = '';
+$LANG['attribute.validate.extended'] = '';
+
 $LANG['button.cancel'] = 'キャンセル';
 $LANG['button.delete'] = '削除';
+$LANG['button.ok'] = '';
 $LANG['button.save'] = '保存';
 $LANG['button.submit'] = '適用';
+
 $LANG['creatorsname'] = 'Created by';
 $LANG['days'] = 'days';
 $LANG['debug'] = 'Debug info';
 $LANG['delete'] = '削除';
 $LANG['deleting'] = 'データの削除';
+
 $LANG['domain.add'] = 'ドメインの追加';
 $LANG['domain.add.success'] = 'ドメインを作成しました。';
 $LANG['domain.associateddomain'] = 'ドメイン名(s)';
+$LANG['domain.delete.confirm'] = '';
+$LANG['domain.delete.force'] = "";
 $LANG['domain.delete.success'] = 'ドメインを削除しました。';
 $LANG['domain.edit'] = 'ドメイン編集';
 $LANG['domain.edit.success'] = 'ドメインを更新しました。';
-$LANG['domain.inetdomainbasedn'] = 'カスタムRootDN(s)';
+$LANG['domain.inetdomainbasedn'] = '';
+$LANG['domain.inetdomainstatus'] = '状態';
 $LANG['domain.list'] = 'ドメイン一覧';
 $LANG['domain.norecords'] = 'ドメインレコードが見つかりません!';
 $LANG['domain.o'] = '組織';
 $LANG['domain.other'] = 'その他';
 $LANG['domain.system'] = 'システム';
 $LANG['domain.type_id'] = '標準ドメイン';
+
 $LANG['edit'] = '編集';
 $LANG['error'] = 'エラー';
+
+$LANG['error.401'] = '';
+$LANG['error.403'] = '';
+$LANG['error.404'] = '';
+$LANG['error.408'] = '';
+$LANG['error.450'] = '';
+$LANG['error.500'] = '';
+$LANG['error.503'] = '';
+
 $LANG['form.required.empty'] = '要求されているフィールドが空欄です!';
 $LANG['form.maxcount.exceeded'] = 'アイテムの最大数を超過しています!';
+
 $LANG['group.add'] = 'グループ追加';
 $LANG['group.add.success'] = 'グループを作成しました。';
 $LANG['group.cn'] = '共通名';
+$LANG['group.delete.confirm'] = '';
 $LANG['group.delete.success'] = 'グループを削除しました。';
 $LANG['group.edit.success'] = 'グループを更新しました。';
 $LANG['group.gidnumber'] = 'プライマリグループナンバー';
+$LANG['group.kolaballowsmtprecipient'] = '受信者(s)アクセスリスト';
+$LANG['group.kolaballowsmtpsender'] = '送信者アクセスリスト';
 $LANG['group.list'] = 'グループ一覧';
 $LANG['group.mail'] = 'プライマリEmailアドレス';
 $LANG['group.member'] = 'メンバー(s)';
 $LANG['group.memberurl'] = 'メンバーURL';
 $LANG['group.norecords'] = 'グループレコードは見つかりません。';
 $LANG['group.other'] = 'その他';
+$LANG['group.ou'] = 'Organization Unit';
 $LANG['group.system'] = 'システム';
 $LANG['group.type_id'] = 'グループタイプ';
 $LANG['group.uniquemember'] = 'メンバー';
+
 $LANG['info'] = 'インフォメーション';
 $LANG['internalerror'] = '内部システムエラー!';
+
 $LANG['ldap.one'] = 'one: 全てのエントリーがベースDN下で1レベル';
 $LANG['ldap.sub'] = 'sub: 全てのサブツリーがベースDNから始まる';
 $LANG['ldap.base'] = 'base: ベースDNのみ';
@@ -76,7 +196,9 @@
 $LANG['ldap.filter_prefix'] = '開始';
 $LANG['ldap.filter_suffix'] = '終了';
 $LANG['ldap.filter_exact'] = '等しい';
+
 $LANG['list.records'] = '$1から$2 $3中';
+
 $LANG['loading'] = '読込中…';
 $LANG['logout'] = 'ログアウト';
 $LANG['login.username'] = 'ユーザ名:';
@@ -85,42 +207,72 @@
 $LANG['login.login'] = 'ログイン';
 $LANG['loginerror'] = 'ユーザ名もしくはパスワードが違います!';
 $LANG['MB'] = 'MB';
+
 $LANG['menu.about'] = 'About';
 $LANG['menu.domains'] = 'ドメイン';
 $LANG['menu.groups'] = 'グループ';
+$LANG['menu.ous'] = '';
 $LANG['menu.resources'] = 'リソース';
 $LANG['menu.roles'] = '役割';
 $LANG['menu.settings'] = '設定';
+$LANG['menu.sharedfolders'] = '';
 $LANG['menu.users'] = 'ユーザ';
+
 $LANG['modifiersname'] = '変更';
 $LANG['password.generate'] = 'パスワード生成';
 $LANG['reqtime'] = 'リクエストタイム: $1 sec.';
+
+$LANG['ou.aci'] = '';
+$LANG['ou.add'] = '';
+$LANG['ou.add.success'] = '';
+$LANG['ou.ou'] = '';
+$LANG['ou.delete.confirm'] = '';
+$LANG['ou.delete.success'] = '';
+$LANG['ou.description'] = '';
+$LANG['ou.edit.success'] = '';
+$LANG['ou.list'] = '';
+$LANG['ou.norecords'] = '';
+$LANG['ou.system'] = '詳細';
+$LANG['ou.type_id'] = '';
+$LANG['ou.base_dn'] = '';
+
+$LANG['resource.acl'] = '';
 $LANG['resource.add'] = 'リソース追加';
 $LANG['resource.add.success'] = 'リソースを生成しました。';
 $LANG['resource.cn'] = '名前';
 $LANG['resource.delete'] = 'リソース削除';
+$LANG['resource.delete.confirm'] = '';
 $LANG['resource.delete.success'] = 'リソースを削除しました。';
 $LANG['resource.edit'] = 'リソース編集';
 $LANG['resource.edit.success'] = 'リソースをアップデートしました。';
 $LANG['resource.kolabtargetfolder'] = 'ターゲットフォルダ';
+$LANG['resource.kolabinvitationpolicy'] = '';
 $LANG['resource.list'] = 'リソース(コレクション)一覧';
 $LANG['resource.mail'] = 'メールアドレス';
 $LANG['resource.member'] = 'コレクションメンバーズ';
 $LANG['resource.norecords'] = 'リソースのレコードが見つかりません!';
 $LANG['resource.other'] = 'その他';
+$LANG['resource.ou'] = 'Organization Unit';
 $LANG['resource.system'] = 'システム';
 $LANG['resource.type_id'] = 'リソースタイプ';
 $LANG['resource.uniquemember'] = 'コレクションメンバーズ';
+$LANG['resource.description'] = '説明';
+$LANG['resource.owner'] = '';
+
 $LANG['role.add'] = 'ルール追加';
 $LANG['role.add.success'] = 'ロールを生成しました。';
 $LANG['role.cn'] = 'ロール名';
+$LANG['role.delete.confirm'] = '';
 $LANG['role.delete.success'] = 'ロールを削除しました。';
 $LANG['role.description'] = 'ロール説明';
+$LANG['role.edit.success'] = '';
 $LANG['role.list'] = 'ロール一覧';
 $LANG['role.norecords'] = 'ロールのレコードが見つかりません!';
 $LANG['role.system'] = '詳細';
 $LANG['role.type_id'] = 'ロールタイプ';
+
 $LANG['saving'] = 'データを保存中…';
+
 $LANG['search'] = '検索';
 $LANG['search.reset'] = 'リセット';
 $LANG['search.criteria'] = '検索設定';
@@ -136,8 +288,31 @@
 $LANG['search.uid'] = 'ユーザID';
 $LANG['search.loading'] = '検索中';
 $LANG['search.acchars'] = '少なくとも $min 文字が自動補完には必要です';
+
 $LANG['servererror'] = 'サーバエラー!';
+
 $LANG['session.expired'] = 'セッションは期限切れになりました。再度ログインしてください。';
+
+$LANG['sharedfolder.acl'] = '';
+$LANG['sharedfolder.add'] = '';
+$LANG['sharedfolder.add.success'] = '';
+$LANG['sharedfolder.alias'] = 'セカンダリEmailアドレス(es)';
+$LANG['sharedfolder.cn'] = '';
+$LANG['sharedfolder.delete.confirm'] = '';
+$LANG['sharedfolder.delete.success'] = '';
+$LANG['sharedfolder.edit'] = '';
+$LANG['sharedfolder.edit.success'] = '';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = '受信者(s)アクセスリスト';
+$LANG['sharedfolder.kolaballowsmtpsender'] = '送信者アクセスリスト';
+$LANG['sharedfolder.kolabdelegate'] = '';
+$LANG['sharedfolder.kolabtargetfolder'] = '';
+$LANG['sharedfolder.list'] = '';
+$LANG['sharedfolder.norecords'] = '';
+$LANG['sharedfolder.mail'] = '';
+$LANG['sharedfolder.other'] = 'その他';
+$LANG['sharedfolder.system'] = 'システム';
+$LANG['sharedfolder.type_id'] = '';
+
 $LANG['signup.headline'] = 'Hosted Kolab へのサインアップ';
 $LANG['signup.intro1'] = 'KolabサーバのアカウントはたんなるEmailアカウントと比べてとても便利です。共有アドレス帳やカレンダー、タスク、業務日誌などなどのグループウェアの全機能を利用できます。';
 $LANG['signup.intro2'] = 'ここからアカウント登録できます。';
@@ -153,10 +328,12 @@
 $LANG['signup.wronguid'] = '無効なユーザ名です!';
 $LANG['signup.wrongmailalternateaddress'] = '有効なEmailアドレスを入力してください!';
 $LANG['signup.footer'] = '<a href="http://kolabsys.com">Kolab Systems</a>からのご案内です。';
+
 $LANG['type.add'] = 'オブジェクトタイプ追加';
 $LANG['type.add.success'] = 'オブジェクトタイプを生成しました。';
 $LANG['type.attributes'] = '属性';
 $LANG['type.description'] = '説明';
+$LANG['type.delete.confirm'] = '';
 $LANG['type.delete.success'] = 'オブジェクトタイプを削除しました。';
 $LANG['type.domain'] = 'ドメイン';
 $LANG['type.edit.success'] = 'オブジェクトタイプをアップデートしました。';
@@ -167,11 +344,14 @@
 $LANG['type.norecords'] = 'オブジェクトタイプのレコードが見つかりません!';
 $LANG['type.objectclass'] = 'オブジェクトクラス';
 $LANG['type.object_type'] = 'オブジェクトタイプ';
+$LANG['type.ou'] = 'Organization Unit';
 $LANG['type.properties'] = 'プロパティ';
 $LANG['type.resource'] = 'リソース';
 $LANG['type.role'] = 'ロール';
+$LANG['type.sharedfolder'] = '';
 $LANG['type.used_for'] = 'ホスト';
 $LANG['type.user'] = 'ユーザ';
+
 $LANG['user.add'] = 'ユーザ追加';
 $LANG['user.add.success'] = 'ユーザを生成しました。';
 $LANG['user.alias'] = 'セカンダリEmailアドレス(es)';
@@ -202,6 +382,7 @@
 $LANG['user.contact_info'] = 'コンタクト情報';
 $LANG['user.country'] = '国';
 $LANG['user.country.desc'] = 'ISO 3166-1 から2つの文字コード';
+$LANG['user.delete.confirm'] = '';
 $LANG['user.delete.success'] = 'ユーザの削除に成功しました。';
 $LANG['user.displayname'] = '表示名';
 $LANG['user.edit.success'] = 'ユーザの更新に成功しました。';
@@ -257,5 +438,7 @@
 $LANG['user.userpassword'] = 'パスワード';
 $LANG['user.userpassword2'] = 'パスワードの確認';
 $LANG['user.uidnumber'] = 'ユーザIDナンバー';
+
 $LANG['welcome'] = 'Kolab グループウェア サーバ管理へようこそ';
+
 $LANG['yes'] = 'はい';
